Submit a request

Java installation instructions for the remote control

* Target OS: Java is the latest version of IE must be installed in order to use the normal remote control service in the browser, such as browser Chrome, Firefox in

Chrome, Firefox, Safari, Edge, etc., except for: Windows * target browsers. After checking the version from the website below, please update to the latest version. Https://java.com

please contact the Customer Support Center when problems occur after installing the latest version.